/*boards*/
.board-main {
    display: flex;
    flex: 1 0 auto;
    align-items: stretch;
    height: 85vh;
}

.blocked {
    position: absolute;
    z-index: 600;
    background-image: url(../img/blocked.png);
    background-repeat: no-repeat;
    width: 100%;
    margin-left: 5px;
}

.board {
    width: 100%;
    padding: 25px;
    height: 100%;
}

.board .box {
    height: 100%;
    margin-bottom: 0px;
    box-shadow: 10px -10px 0px 0px rgb(0 0 0 / 75)
}

.box-header-flightboard {
    background-color: #464646;
    color: #fff;
    display: block;
    padding: 5px 10px 5px 10px;
    position: relative;
    font-size: 1.6vw;
}

.board-header-flightboard {
    font-weight: bold;
    font-style: italic;
    display: inline-block;
    font-size: 1.6vw;
}

.board-datetime {
    float: right;
}

.board-date {
    padding-left: 50px;
}

.board-time {
    padding-left: 25px;
}

.board-datetime.timewhiteImg {
    background-image: url(../img/time.png);
    background-size: contain;
    background-repeat: no-repeat;
}

.board-scrollbar {
    color: black;
    border: 4px solid #999;
    background-color: white;
    font-size: 30px;
    height: 75px;
    margin: 0px 25px 15px 25px;
}

.board-scrollbar-alert {
    color: red;
    border: 4px solid #999;
    background-color: white;
    font-size: 30px;
    height: 75px;
    margin: 0px 25px 15px 25px;
}

/*flight board*/

.common-table .timeImg {
    background-image: url(../img/time_black.png);
    background-size: contain;
    background-repeat: no-repeat;
}

.common-table .machineImg {
    background-image: url(../img/machine.png);
    background-size: 35px;
    background-repeat: no-repeat;
}

.common-table .machineGreenImg {
    background-image: url(../img/machineGreen.png);
    background-size: contain;
    background-repeat: no-repeat;
}

.common-table .heightImg {
    background-image: url(../img/height.png);
    background-size: contain;
    background-repeat: no-repeat;
}

.common-table .seatsImg {
    background-image: url(../img/seats.png);
    background-size: contain;
    background-repeat: no-repeat;
}

#boardFlights thead {
    visibility: collapse;
}

#boardFlights {
    border-collapse: separate;
    border-spacing: 5px 10px;
}

#boardFlights > tbody > tr {
    background: #464646;
}

#boardFlights > tbody > tr > td {
    padding: 15px;
    background: transparent;
    background-clip: content-box;
}

.flight-content .firstline {
    margin-bottom: 10px;
    background: #e4e4e4;
    height: 7vh;
}

.flight-content .boarding {
    background: #e4e4e4;
}

.flight-content .boarding p {
    padding-top: 30%;
}

.thead-passenger {
    border: 1px solid #999;
    font-size: 1.3vw;
    background: silver;
    /*text-align: center;*/
}

.cell-passenger {
    border: 1px solid #999;
    /*text-align: center;*/
    font-weight: 600;
    font-size: 1vw;
    color: #464646;

}

.cell-passenger p {
    margin-bottom: 5px;
}

.no-data {
    text-align: center;
    font-size: 22px;
    color: #e4e4e4;
}

row-nomargin {
    margin-left: 0px;
    margin-right: 0px;
}

.flight-content .time span {
    font-weight: 600;
    font-size: 1.6vw;
}

.flight-content .time img {
    max-width: 2vw;
}

.flight-content .number p {
    font-size: 1.6vw;
    text-align: center;
}

.flight-content .plane img {
    max-width: 3.2vw;
}

.flight-content .height img {
    max-height: 2.5vw;;
    margin-right: 5px;
}

.flight-content .places img {
    max-width: 3.5vw;
    margin-right: 2px;
}

.flight-content .status p {
    margin-top: 0px;
    font-size: 1.2vw;
}

.grid-container {
    display: grid;
    grid-template-columns: 150px auto auto auto auto auto auto;
    padding: 3px;
}

.grid-container2 {
    display: grid;
    grid-template-columns: 8vw auto;
}

.grid-item {
    padding: 3px;
    font-size: 1.2vw;
    font-weight: 600;
    text-align: center;
}

.passenger-grid {
    display: grid;
    grid-template-columns: auto;
    margin-left: 10px;
    background: #e4e4e4;
}

.passenger-item {
    margin-left: -10px;
    margin-right: -10px;
    display: flex;
}

.passenger-item-header {

    margin-left: -10px;
    margin-right: -10px;
    display: flex;
}

.flightboard-main{
    height: 93vh;
}

.footer-flightboard {
    font-size: 20px;
    height: 40px;
    margin: 0px 15px 15px 15px;
}

.flightboard{
    padding: 15px;
}

@media screen and (max-width: 767px) {
    .board-datetime {
        float: none;
    }
}